##### 7.5.15.0. isZeroNcfrac

Procedure from library `ncfrac.lib` (see ncfrac_lib).

Usage:
  isZeroNcfrac(frac), ncfrac frac

Purpose:
  checks if frac is zero

Return:
  int, 1 if frac is zero, 0 otherwise

Example:

    LIB "ncfrac.lib";
    ==> // ** redefining testNcfrac (LIB "ncfrac.lib";) ./examples/isZeroNcfrac.s\
       ing:1
    ==> // ** redefining testNcloc (    LIB "ncloc.lib";) ncfrac.lib::mod_init:11\
       3
    ring Q = (0,q),(x,y,Qx,Qy),dp;
    matrix C[4][4] = UpOneMatrix(4);
    C[1,3] = q;
    C[2,4] = q;
    def ncQ = nc_algebra(C,0);
    setring ncQ;
    ncloc loc = intvec(2);
    ncfrac frac = list([y^2+7*y+1,0,0,0], loc);
    isZeroNcfrac(frac);
    ==> 1
    frac.lnum = 42*y*Qy+7*Qx+3*x+7;
    isZeroNcfrac(frac);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.